Saltar para o conteúdo

Visão geral

  • Versão: 2.0
  • Servidores: https://api.xsolla.com/merchant/v2/

Essa referência API descreve os pontos de extremidade na gerência de assinaturas, cupons e promoções. Para obter mais informações sobre as Assinaturas, veja o guia do produto e o glossário.

Transferir a descrição da OpenAPI
Idiomas
Servidores
Mock server
https://xsolla.redocly.app/_mock/pt/api/subscriptions/
Operações
Operações
Operações
Operações
Operações
Operações
Operações
Operações

Pedido

Segurança
projectUserJwtAuth
Caminho
subscription_idinteger\d+obrigatório
project_idinteger\d+obrigatório
Consulta
localestring
curl -i -X GET \
  'https://xsolla.redocly.app/_mock/pt/api/subscriptions/api/user/v1/projects/{project_id}/subscriptions/{subscription_id}?locale=string' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Respostas

Get subscription info

Corpoapplication/json
chargeobjectobrigatório
charge.​amountnumber(float)obrigatório
Exemplo: 4.99
charge.​currencystringobrigatório
Exemplo: "USD"
charge.​setup_feenumber(float)obrigatório
Exemplo: 0.99
date_createstring(date-time)obrigatório
Exemplo: "2031-04-11T13:51:02+03:00"
date_endstring or null(date-time)
Exemplo: "2031-04-11T13:51:02+03:00"
date_last_chargestring or null(date-time)
Exemplo: "2031-04-11T13:51:02+03:00"
date_next_chargestring or null(date-time)
Exemplo: "2031-04-11T13:51:02+03:00"
idintegerobrigatório
Exemplo: "12345"
is_change_plan_allowedbooleanobrigatório
Exemplo: "false"
is_change_to_non_renew_possiblebooleanobrigatório
Exemplo: "true"
is_in_trialbooleanobrigatório
Exemplo: "false"
is_renew_possiblebooleanobrigatório
Exemplo: "true"
periodobjectobrigatório
period.​unitstring or null
Padrão null
Exemplo: "month"
period.​valueinteger or null
Padrão null
Exemplo: "1"
plan_descriptionstringobrigatório
Exemplo: "Localized plan description"
plan_end_datestring or null(date-time)
Exemplo: "2031-04-11T13:51:02+03:00"
plan_external_idstringobrigatório
Exemplo: "PlanExternalId"
plan_idintegerobrigatório
Exemplo: "54321"
plan_namestringobrigatório
Exemplo: "Localized plan name"
plan_start_datestring or null(date-time)
Exemplo: "2021-04-11T13:51:02+03:00"
product_descriptionstring or null
Exemplo: "Localized product description"
product_external_idstring or null
Exemplo: "ProductExternalId"
product_idinteger or null
Exemplo: "12345"
product_namestring or null
Exemplo: "Product name"
statusstringobrigatório
Exemplo: "active"
trial_periodinteger or null
Exemplo: "0"
Resposta
application/json
{ "charge": { "amount": 4.99, "currency": "USD", "setup_fee": 0.99 }, "date_create": "2031-04-11T13:51:02+03:00", "date_end": "2031-04-11T13:51:02+03:00", "date_last_charge": "2031-04-11T13:51:02+03:00", "date_next_charge": "2031-04-11T13:51:02+03:00", "id": "12345", "is_change_plan_allowed": "false", "is_change_to_non_renew_possible": "true", "is_in_trial": "false", "is_renew_possible": "true", "period": { "unit": "month", "value": "1" }, "plan_description": "Localized plan description", "plan_end_date": "2031-04-11T13:51:02+03:00", "plan_external_id": "PlanExternalId", "plan_id": "54321", "plan_name": "Localized plan name", "plan_start_date": "2021-04-11T13:51:02+03:00", "product_description": "Localized product description", "product_external_id": "ProductExternalId", "product_id": "12345", "product_name": "Product name", "status": "active", "trial_period": "0" }

Pedido

Segurança
projectUserJwtAuth
Caminho
subscription_idinteger\d+obrigatório
project_idinteger\d+obrigatório
curl -i -X PUT \
  'https://xsolla.redocly.app/_mock/pt/api/subscriptions/api/user/v1/projects/{project_id}/subscriptions/{subscription_id}/cancel' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Respostas

Make subscription non-renewable

Corpoapplication/json
Resposta
application/json
null

Pedido

Segurança
projectUserJwtAuth
Caminho
subscription_idinteger\d+obrigatório
project_idinteger\d+obrigatório
Corpoapplication/jsonobrigatório

Renew subscription

custom_parametersobject or null

You can pass additional parameters in the token

Padrão null
settings(object or null)
(object or null)
steam_user_idstring or null
curl -i -X POST \
  'https://xsolla.redocly.app/_mock/pt/api/subscriptions/api/user/v1/projects/{project_id}/subscriptions/{subscription_id}/renew' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "custom_parameters": null,
    "settings": {
      "currency": "str",
      "external_id": "string",
      "hide_saved_payment_accounts": true,
      "locale": "st",
      "payment_method": 1,
      "redirect_policy": {
        "delay": 0,
        "redirect_button_caption": "string",
        "redirect_conditions": "none",
        "status_for_manual_redirection": "none"
      },
      "return_url": "string",
      "steam_user_id": "stringstringstrin",
      "ui": {
        "desktop": {
          "header": {
            "close_button": true,
            "is_visible": true,
            "type": "compact",
            "visible_logo": true,
            "visible_name": true
          }
        },
        "independent_windows": true,
        "license_url": "string",
        "mobile": {
          "footer": {
            "is_visible": true
          },
          "header": {
            "close_button": true
          },
          "mode": "saved_accounts"
        },
        "mode": "user_account",
        "size": "large",
        "theme": "string",
        "user_account": {
          "history": {
            "enable": true,
            "order": 1
          },
          "info": {
            "enable": true,
            "order": 1
          },
          "payment_accounts": {
            "enable": true,
            "order": 1
          },
          "subscriptions": {
            "enable": true,
            "order": 1
          }
        },
        "version": "desktop"
      },
      "xsolla_product_tag": "string"
    },
    "steam_user_id": "string"
  }'

Respostas

Get subscription renew url

Corpoapplication/json
link_to_psstringobrigatório
Exemplo: "https://secure.xsolla.com/paystation2/?access_token=<access_token>"
Resposta
application/json
{ "link_to_ps": "https://secure.xsolla.com/paystation2/?access_token=<access_token>" }
Operações
Operações
Operações
Operações